/**
 * @internal
 */
export declare enum MESSAGE_TYPE {
    /**
     * Login
     */
    LOGIN = "EVENT_LOGIN_AUTH",
    LOGIN_ACK = "EVENT_LOGIN_AUTH_ACK",
    LOGIN_NACK = "EVENT_LOGIN_AUTH_NACK",
    LOGIN_DETAILS_ACK = "EVENT_LOGIN_DETAILS_ACK",
    LOGIN_DETAILS_NACK = "EVENT_LOGIN_DETAILS_NACK",
    /**
     * Logout
     */
    LOGOUT_ACK = "LOGOUT_ACK",
    LOGOUT_NACK = "EVENT_LOGOUT_NACK",
    /**
     * Password management
     */
    FORGOT_PASSWORD = "EVENT_SELF_SERVICE_PASSWORD_RESET",
    CHANGE_PASSWORD = "EVENT_CHANGE_USER_PASSWORD",
    RESET_PASSWORD = "EVENT_PASSWORD_RESET_ACTION",
    /**
     * Generic
     */
    EVENT_NACK = "EVENT_NACK"
}
//# sourceMappingURL=MESSAGE_TYPE.d.ts.map