import type { Message } from './message';
/**
 * @internal
 */
export interface NackErrorWarning {
    readonly type: string;
    readonly code: string;
    readonly statusCode: string;
    readonly text: string;
}
/**
 * @internal
 */
export interface Nack extends Message {
    readonly error: NackErrorWarning[];
    readonly warning: NackErrorWarning[];
}
//# sourceMappingURL=nack.d.ts.map