import type { MESSAGE } from './MESSAGE';
/**
 * @public
 */
export interface EVENT_LOGIN_AUTH extends MESSAGE {
    readonly DETAILS: {
        readonly USER_NAME: string;
        readonly PASSWORD: string;
    } | {
        readonly USER_NAME: string;
        readonly REFRESH_AUTH_TOKEN: string;
    } | {
        readonly SSO_TOKEN: string;
    } | {
        readonly JWT: string;
        readonly DOMAIN: string;
    } | {
        readonly MFA_CODE: string;
    };
}
//# sourceMappingURL=EVENT_LOGIN_AUTH.d.ts.map