import { LoginParams } from '../../machine';
import { BaseRoute } from '../base';
import { IDP } from '../types';
export declare class Login extends BaseRoute {
    idps: IDP[];
    selectedIDP: string;
    connectedCallback(): void;
    enter(): void;
    private attemptBasicLogin;
    protected addStoreBindings(): void;
    get selectedIDPName(): string;
    onClickSSO(): void;
    onLoginSubmit(): Promise<void>;
    login(params: LoginParams): void;
    logout(): void;
    get submitDisabled(): boolean;
}
//# sourceMappingURL=login.d.ts.map