import { html } from '@microsoft/fast-element';
export const ProtectedTemplate = html `
  <div class="container">
    <zero-button
      type="button"
      appearance="primary-gradient"
      @click=${(x) => x.onLogout()}
      data-test-id="logout"
    >
      Logout
    </zero-button>
    <zero-button type="button" @click=${(x) => x.onOpenSocketTest()} data-test-id="open-socket">
      Open Socket
    </zero-button>
    <zero-button type="button" @click=${(x) => x.onCloseSocketTest()} data-test-id="close-socket">
      Close Socket
    </zero-button>
  </div>
`;
