import { DI } from '@microsoft/fast-foundation';
/**
 * Default UserConfig DI implementation.
 * @public
 */
export const defaultUserConfig = {
    trackActionExclusions: [],
    trackPathExclusions: [''],
};
/**
 * UserConfig DI key.
 *
 * @internal
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 */
export const UserConfig = DI.createInterface((x) => x.instance(defaultUserConfig));
